package com.zcloud.mapper.datasource.hiddenDangerCheckStandard;

import com.zcloud.entity.Page;
import com.zcloud.entity.PageData;

import java.util.List;

/**
 * 说明：清单管理
 * 作者：luoxiaobao
 * 时间：2020-12-30
 * 官网：www.zcloudchina.com
 */
public interface CustomMapper {

	/**新增
	 * @param pd
	 * @throws Exception
	 */
	void save(PageData pd);

	/**禁用
	 * @param pd
	 * @throws Exception
	 */
	void delete(PageData pd);

	/**删除
	 * @param pd
	 * @throws Exception
	 */
	void remove(PageData pd);

	/**删除
	 * @param pd
	 * @throws Exception
	 */
	void deleted(PageData pd);

	/**启用
	 * @param pd
	 * @throws Exception
	 */
	void enable(PageData pd);

	/**修改
	 * @param pd
	 * @throws Exception
	 */
	void edit(PageData pd);

	/**列表
	 * @param page
	 * @throws Exception
	 */
	List<PageData> datalistPage(Page page);

	List<PageData> stopdatalistPage(Page page);

	/**列表(全部)
	 * @param pd
	 * @throws Exception
	 */
	List<PageData> listAll(PageData pd);

	/**列表(全部)
	 * @param pd
	 * @throws Exception
	 */
	List<PageData> appListAll(PageData pd);

	/**查询部门清单
	 * @param pd
	 * @throws Exception
	 */
	List<PageData> listListByDep(PageData pd);

	/**查询人员清单
	 * @param pd
	 * @throws Exception
	 */
	List<PageData> listListByUser(PageData pd);

	List<PageData> getListByCorplistPage(Page page);

	/**列表(全部)
	 * @throws Exception
	 */
	List<PageData> listRecordAll(Page page);

	/**通过id获取数据
	 * @param pd
	 * @throws Exception
	 */
	PageData findById(PageData pd);

	/**批量删除
	 * @param ArrayDATA_IDS
	 * @throws Exception
	 */
	void deleteAll(String[] ArrayDATA_IDS);

	List<PageData> listAllRisk(PageData pd);

	List<PageData> recordlistPage(Page page);



	/**待检查清单数量
	 * @param pd
	 * @throws Exception
	 */
	List<PageData> listExaminedNum(PageData pd);
	/**待检查清单数量
	 * @param pd
	 * @throws Exception
	 */
	List<PageData> listExaminedNumJjr(PageData pd);

	List<PageData> listTempNum(PageData pd);

	/**启用
	 * @param pd
	 * @throws Exception
	 */
	void startup(PageData pd);

	/**删除
	 * @param pd
	 * @throws Exception
	 */
	void deleteTemplist(PageData pd);

	List<PageData> selectTemp(PageData pd);

	/**人员负责清单数
	 * @param pd
	 * @throws Exception
	 */
	List<PageData> countListByUser(PageData pd);



	/**查询所有可发送短信的企业的清单
	 * @param pd
	 * @throws Exception
	 */
	List<PageData> listAllByCorpMsm(PageData pd);


	/**查询所有清单清单
	 * @param pd
	 * @throws Exception
	 */
	List<PageData> getAllList(PageData pd);

	/**首页获取折线图
	 * @param pd
	 * @throws Exception
	 */
	List<PageData> goIndexCount(PageData pd);

	/**
	 * 查询公司清单总数
	 * @param pd
	 * @return
	 */
	public int getListCount(PageData pd);

	/**
	 * 查询公司检查过清单的总数
	 * @param pd
	 * @return
	 */
	public int getWorkedListCount(PageData pd);

	/**
	 * 根据分类统计清单
	 * @param pd
	 * @return
	 */
	public List<PageData> countListByType(PageData pd);

	/**列表
	 * @param page
	 * @throws Exception
	 */
	List<PageData> checklistPage(Page page);

	/**上期超期未检查的清单
	 * @param pd
	 * @throws Exception
	 */
	List<PageData> overTimeRecord(PageData pd);

	/**上期超期未检查的清单（每日使用）
	 * @param pd
	 * @throws Exception
	 */
	List<PageData> overTimeRecordDay(PageData pd);

	/**节假日超期未检查的清单
	 * @param pd
	 * @throws Exception
	 */
	List<PageData> overTimeRecordJjr(PageData pd);

	/**查询今日待处理清单数
	 * @param pd
	 * @throws Exception
	 */
	List<PageData> getListToday(PageData pd);

    List<PageData> listAllForDiagnosis(PageData pd);

	List<PageData> listAllPlan(PageData pd);

	List<PageData> listAllForPlan(PageData pd);

    List<PageData> getCountNumBi(PageData pd);

    List<PageData> listForDocking(PageData pd);
	void updateDocking(PageData pageData);

	List<PageData> thisMonthListmanager(PageData pd);

    List<PageData> findByCondition(PageData util);

    List<PageData> analysis(PageData util);

	/**获取用户的检查清单
	 * @param pd
	 * @throws Exception
	 */
	List<PageData> getMyCheckList(PageData pd);
}

